## javax.persistence.criteria
Interface Fetch<Z,X>

All Superinterfaces:
  FetchParent<Z,X>

    public interface Fetch<Z,X>

extends FetchParent<Z,X>

Method Summary
`Attribute<? super Z,?>` `getAttribute()`
`JoinType` `getJoinType()`
`FetchParent<?,Z>` `getParent()`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### getAttribute

    Attribute<? super Z,?> getAttribute()

### getParent

    FetchParent<?,Z> getParent()

### getJoinType

    JoinType getJoinType()